org.apache.fontbox.ttf.model

## Class MapBackedScriptFeature

- java.lang.Object
- - org.apache.fontbox.ttf.model.MapBackedScriptFeature

All Implemented Interfaces:
  ScriptFeature

    public class MapBackedScriptFeature
    extends Object
    implements ScriptFeature

A `Map` based simple implementation of the `ScriptFeature`

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`MapBackedScriptFeature(String name, Map<List<Integer>,Integer> featureMap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canReplaceGlyphs(List<Integer> glyphIds)`
`boolean` `equals(Object obj)`
`Set<List<Integer>>` `getAllGlyphIdsForSubstitution()`
`String` `getName()`
`Integer` `getReplacementForGlyphs(List<Integer> glyphIds)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapBackedScriptFeature

    public MapBackedScriptFeature(String name,
                                  Map<List<Integer>,Integer> featureMap)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `ScriptFeature`

#### getAllGlyphIdsForSubstitution

    public Set<List<Integer>> getAllGlyphIdsForSubstitution()

Specified by:
  `getAllGlyphIdsForSubstitution` in interface `ScriptFeature`

#### canReplaceGlyphs

    public boolean canReplaceGlyphs(List<Integer> glyphIds)

Specified by:
  `canReplaceGlyphs` in interface `ScriptFeature`

#### getReplacementForGlyphs

    public Integer getReplacementForGlyphs(List<Integer> glyphIds)

Specified by:
  `getReplacementForGlyphs` in interface `ScriptFeature`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`